Bug 526825 - liveusb-creator: Generate USB key that can dual-boot BIOS and UEFI modes
liveusb-creator: Generate USB key that can dual-boot BIOS and UEFI modes
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: liveusb-creator (Show other bugs)
12
All Linux
medium Severity medium
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-01 17:26 EDT by Matt Domsch
Modified: 2013-01-21 04:34 EST (History)
8 users (show)

See Also:
Fixed In Version: 3.8.6-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-20 00:10:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
0001-add-EFI-directory-preparation.patch (2.93 KB, patch)
2009-10-01 18:02 EDT, Matt Domsch
no flags Details | Diff
0001-add-EFI-directory-preparation.patch (2.93 KB, patch)
2009-10-02 09:59 EDT, Matt Domsch
no flags Details | Diff
0001-add-EFI-directory-preparation.patch (3.57 KB, patch)
2009-10-02 11:06 EDT, Matt Domsch
no flags Details | Diff

  None (edit)
Description Matt Domsch 2009-10-01 17:26:09 EDT
Description of problem:
livecd-iso-to-disk (I know, other app), ignores the EFI/ directory on the root of the LiveCD.  I need to be able to generate bootable USB keys which can boot in either legacy BIOS mode (syslinux), or UEFI mode.

This will involve copying the /EFI/ directory from the LiveCD onto the USB key, and munging the bootx64.conf and grub.conf files (they match) to use the new root= that is normally specified in /syslinux/syslinux.cfg.  It's really that simple.


Version-Release number of selected component (if applicable):
v3.7.3 at least
Comment 1 Matt Domsch 2009-10-01 18:02:47 EDT
Created attachment 363402 [details]
0001-add-EFI-directory-preparation.patch

Something like this completely untested patch.
Comment 2 Matt Domsch 2009-10-02 09:59:49 EDT
Created attachment 363487 [details]
0001-add-EFI-directory-preparation.patch

Slightly revised patch, tested.  Please review and consider applying upstream.
Comment 3 Matt Domsch 2009-10-02 11:06:06 EDT
Created attachment 363493 [details]
0001-add-EFI-directory-preparation.patch

Another update to the same patch.  If the Live ISO doesn't have an EFI directory, there's nothing to do.  And don't munge the boot{x64,ia32}.conf files for architectures that aren't present.
Comment 4 Luke Macken 2009-10-05 10:30:20 EDT
Thank you for the patch, Matt.

I just tried testing this with F12-Snap3-x86_64-Live on my Intel-based iMac.
I was able to get to the grub screen, but when attempting to boot a kernel, the grub background just stays on the screen for about 25 seconds, then a green bar appears at the top of the screen, and my USB sticks stops blinking.

I suppose this problem has nothing to do with the patch, as I have been unable to get this iMac to boot even using the efiboot.img or livecd-iso-to-disk --mactel.
Comment 5 Peter Jones 2009-10-08 10:21:22 EDT
Luke, that probably means efifb in the kernel doesn't understand your screen properly, or some other kernel failure is occurring.  That should probably be opened as another bug.
Comment 6 Luke Macken 2009-10-09 15:22:32 EDT
(In reply to comment #3)
> Created an attachment (id=363493) [details]
> 0001-add-EFI-directory-preparation.patch
> 
> Another update to the same patch.  If the Live ISO doesn't have an EFI
> directory, there's nothing to do.  And don't munge the boot{x64,ia32}.conf
> files for architectures that aren't present.  

Applied upstream in 090518b43a25155b238aace8ed123788319a3297

Thanks, Matt!
Comment 7 Luke Macken 2009-10-09 17:41:41 EDT
(In reply to comment #5)
> Luke, that probably means efifb in the kernel doesn't understand your screen
> properly, or some other kernel failure is occurring.  That should probably be
> opened as another bug.  

Filed as bug #528232
Comment 8 Fedora Update System 2009-11-07 20:55:44 EST
liveusb-creator-3.8.6-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/liveusb-creator-3.8.6-1.fc12
Comment 9 Fedora Update System 2009-11-07 20:56:18 EST
liveusb-creator-3.8.6-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/liveusb-creator-3.8.6-1.fc11
Comment 10 Fedora Update System 2009-11-10 12:47:47 EST
liveusb-creator-3.8.6-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update liveusb-creator'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-11209
Comment 11 Fedora Update System 2009-11-10 12:51:13 EST
liveusb-creator-3.8.6-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update liveusb-creator'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-11232
Comment 12 Bug Zapper 2009-11-16 08:10:56 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Fedora Update System 2009-11-20 00:09:56 EST
liveusb-creator-3.8.6-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2009-11-20 00:35:29 EST
liveusb-creator-3.8.6-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.